/*
  Copyright 2021 Kakao Corp.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.kakao.sdk.partner.friend

import com.kakao.sdk.partner.friend.model.*

/**
 * @suppress
 */
internal object Constants {
    const val KEY_BUNDLE = "key.bundle"
    const val KEY_RESULT_RECEIVER = "key.result.receiver"
    const val KEY_SELECTED_FRIENDS = "key.selected.friends"
    const val KEY_EXCEPTION = "key.exception"
    const val KEY_PARAM = "key.param"
    const val KEY_IS_SINGLE = "key.issingle"
    const val KEY_IS_POPUP = "key.ispopup"

    const val MULTI_PICKER_MIN_PICKABLE_COUNT = 1
    const val MULTI_PICKER_MAX_PICKABLE_COUNT = 100
    const val PARTNER_FRIENDS_API_LIMIT = 10000

    const val V1_FRIENDS_PATH = "v1/friends/sdk"
    const val FRIEND_TYPE = "friend_type"
    const val FRIEND_FILTER = "friend_filter"
    const val FRIEND_ORDER = "friend_order"
    const val OFFSET = "offset"
    const val LIMIT = "limit"
    const val ORDER = "order"
    const val COUNTRY_CODES = "country_codes"

    // param default value
    val DEFAULT_PICKER_FRIEND_TYPE = PickerFriendType.KAKAO_TALK
    val DEFAULT_PICKER_FRIEND_FILTER = PickerFriendFilter.NONE
    val DEFAULT_PICKER_VIEW_APPEARANCE = ViewAppearance.AUTO
    val DEFAULT_OS_FILTER = OsFilter.ALL
    val DEFAULT_PICKER_ORIENTATION = PickerOrientation.AUTO
    const val DEFAULT_ENABLE_SEARCH = true
    const val DEFAULT_ENABLE_INDEX = true
    const val DEFAULT_SHOW_MY_PROFILE = true
    const val DEFAULT_SHOW_FAVORITE = true
    const val DEFAULT_MAX_PICKABLE_COUNT = 30
    const val DEFAULT_MIN_PICKABLE_COUNT = 1
    const val DEFAULT_SHOW_PICKED_FRIENDS = true
    const val DEFAULT_DISPLAY_ALL_PROFILE = false
}